I would like to use the PHP socket api and from your comment it seems I might be able to do this without having to recompile php 5.6
I'm using Ubuntu 16.04 with PPA. Any hints would be greatly appreciated